List Card View
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/resources/widgetCardView', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.runmorph.dev/v1/resources/widgetCardView \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/resources/widgetCardView"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/widgetCardView",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/resources/widgetCardView"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/resources/widgetCardView")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.asString();{
"data": [
{
"object": "resource",
"model": "<string>",
"id": "<string>",
"fields": {
"triggeredBy": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"genericContact": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"genericCompany": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"crmOpportunity": {
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"remote": {
"id": "<string>"
},
"rawResource": null,
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
],
"next": "<string>",
"object": "list"
}{
"message": ""
}List Card View
GET
/
v1
/
resources
/
widgetCardView
List Card View
const options = {
method: 'GET',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>'
}
};
fetch('https://api.runmorph.dev/v1/resources/widgetCardView', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Query Parameters
Query parameter that accepts a raw query string and auto-detects and parses emails, phone numbers (E.164), URLs, domains, and ISO dates
Show child attributes
Show child attributes
Available options:
triggeredBy, genericContact, genericCompany, crmOpportunity ⌘I